FieldStreamDataSource (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.FieldStreamDataSource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class FieldStreamDataSource

    java.lang.Object
      org.apache.solr.handler.dataimport.DataSource<InputStream>
          org.apache.solr.handler.dataimport.FieldStreamDataSource

    public class FieldStreamDataSource

extends DataSource<InputStream>

This can be useful for users who have a DB field containing BLOBs which may be Rich documents

The datasouce may be configured as follows

<dataSource name="f1" type="FieldStreamDataSource" />

The entity which uses this datasource must keep and attribute dataField

The fieldname must be resolvable from `VariableResolver`

This may be used with any `EntityProcessor` which uses a `DataSource`<`InputStream`> eg: TikaEntityProcessor

Since:
  3.1
Version:
  $Id: FieldStreamDataSource.java 1146191 2011-07-13 18:23:28Z sarowe $

Field Summary
`protected String` | `dataField`
`protected VariableResolver` | `vr`

Constructor Summary
`FieldStreamDataSource()`

Method Summary
`void` | `close()` Cleans up resources of this DataSource after use.
`InputStream` | `getData(String query)` Get records for the given query.The return type depends on the implementation .
`void` | `init(Context context, Properties initProps)` Initializes the DataSource with the `Context` and initialization properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vr

    protected VariableResolver vr

### dataField

    protected String dataField

Constructor Detail

### FieldStreamDataSource

    public FieldStreamDataSource()

Method Detail

### init

    public void init(Context context,
                     Properties initProps)

  Description copied from class: `DataSource`
  Initializes the DataSource with the `Context` and initialization properties.

  This is invoked by the `DataImporter` after creating an instance of this class.

  Specified by:
    `init` in class `DataSource<InputStream>`

### getData

    public InputStream getData(String query)

  Description copied from class: `DataSource`
  Get records for the given query.The return type depends on the implementation .

  Specified by:
    `getData` in class `DataSource<InputStream>`
  Parameters:
    `query` - The query string. It can be a SQL for JdbcDataSource or a URL for HttpDataSource or a file location for FileDataSource or a custom format for your own custom DataSource.
  Returns:
    Depends on the implementation. For instance JdbcDataSource returns an Iterator >

### close

    public void close()

  Description copied from class: `DataSource`
  Cleans up resources of this DataSource after use.

  Specified by:
    `close` in class `DataSource<InputStream>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD